Modify

Opened 6 years ago

Closed 6 years ago

#11493 closed defect (fixed)

Wrong warning by validation of roundabouts

Reported by: mapwitch Owned by: team
Priority: normal Milestone: 15.05
Component: Core validator Version: latest
Keywords: template_report regression Cc:

Description (last modified by Don-vip)

What steps will reproduce the problem?

  1. Draw a circle with highway=secondary and junction=roundabout
  2. Connect two ways with highway=secondary and two ways with highway=tertiary to this junction
  3. Use the josm validation tool

What is the expected result?

No warning

What happens instead?

I've got a warning: "invalid roundabout (highway: secondary instead of tertiary)" [translated from german version]

screenshot

To tool prompts to use the lower classification...?!

Please provide any additional information below. Attach a screenshot if possible.

Revision: 8430
Repository Root: http://josm.openstreetmap.de/svn
Relative URL: ^/trunk
Last Changed Author: Don-vip
Last Changed Date: 2015-05-26 23:38:52 +0200 (Tue, 26 May 2015)
Build-Date: 2015-05-27 01:32:08
URL: http://josm.openstreetmap.de/svn/trunk
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last Changed Rev: 8430

Identification: JOSM/1.5 (8430 de) Windows 7 64-Bit
Memory Usage: 826 MB / 1820 MB (470 MB allocated, but free)
Java version: 1.8.0_45, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Dataset consistency test: No problems found

Plugins:
- ImportImagePlugin (31114)
- PicLayer (31114)
- geotools (31068)
- jts (31002)
- log4j (30892)
- opendata (31116)
- pbf (31010)
- pdfimport (30892)
- print (30892)
- proj4j (30892)
- reltoolbox (31056)
- reverter (31120)
- scripting (30710)
- utilsplugin2 (31153)

Attachments (2)

josm validation.jpg (261.1 KB) - added by anonymous 6 years ago.
screenshot
rb.osm (18.3 KB) - added by Klumbumbus 6 years ago.

Download all attachments as: .zip

Change History (7)

Changed 6 years ago by anonymous

Attachment: josm validation.jpg added

screenshot

Changed 6 years ago by Klumbumbus

Attachment: rb.osm added

comment:1 Changed 6 years ago by Klumbumbus

See attached file. Number 1 and 3 are wrong, but not detected, while number 2 is correct, but detected as false positive.

Revision: 8433
Repository Root: http://josm.openstreetmap.de/svn
Relative URL: ^/trunk
Last Changed Author: wiktorn
Last Changed Date: 2015-05-28 22:00:41 +0200 (Thu, 28 May 2015)
Build-Date: 2015-05-29 01:31:41
URL: http://josm.openstreetmap.de/svn/trunk
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last Changed Rev: 8433

Identification: JOSM/1.5 (8433 de) Windows 7 32-Bit
Memory Usage: 247 MB / 742 MB (115 MB allocated, but free)
Java version: 1.8.0_45, Oracle Corporation, Java HotSpot(TM) Client VM
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:C:\Program Files\Java\jre1.8.0_45\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files\josm-latest-bla.jnlp, -Djnlpx.remove=true, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=256m,768m, -Djnlpx.splashport=57645, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==]
Dataset consistency test: No problems found
Last edited 6 years ago by Klumbumbus (previous) (diff)

comment:2 Changed 6 years ago by Klumbumbus

Type: enhancementdefect

comment:3 Changed 6 years ago by Don-vip

Description: modified (diff)

comment:4 Changed 6 years ago by Don-vip

Keywords: regression added
Milestone: 15.05

regression of r8390

comment:5 Changed 6 years ago by Don-vip

Resolution: fixed
Status: newclosed

In 8454/josm:

fix #11493 - Wrong warning in validation of roundabouts (regression, partial revert of r8390)

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.